Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.de
Class GermanStemFilter

    java.lang.Object
      org.apache.lucene.analysis.TokenStream
          org.apache.lucene.analysis.TokenFilter
              org.apache.lucene.analysis.de.GermanStemFilter

    public final class GermanStemFilter

extends TokenFilter

A filter that stems German words. It supports a table of words that should not be stemmed at all. The stemmer used can be changed at runtime after the filter object is created (as long as it is a GermanStemmer).

Version:
  $Id: GermanStemFilter.java 564236 2007-08-09 15:21:19Z gsingers $

Field Summary

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`GermanStemFilter(TokenStream in)`
`GermanStemFilter(TokenStream in, Set exclusionSet)` Builds a GermanStemFilter that uses an exclusiontable.

Method Summary
`Token` | `next()`
`void` | `setExclusionSet(Set exclusionSet)` Set an alternative exclusion list for this filter.
`void` | `setStemmer(GermanStemmer stemmer)` Set a alternative/custom GermanStemmer for this filter.

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close`

Methods inherited from class org.apache.lucene.analysis.TokenStream
`next, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GermanStemFilter

    public GermanStemFilter(TokenStream in)

### GermanStemFilter

    public GermanStemFilter(TokenStream in,
                            Set exclusionSet)

  Builds a GermanStemFilter that uses an exclusiontable.

Method Detail

### next

    public final Token next()
                     throws IOException

  Overrides:
    `next` in class `TokenStream`
  Returns:
    Returns the next token in the stream, or null at EOS
  Throws:
    `IOException`

### setStemmer

    public void setStemmer(GermanStemmer stemmer)

  Set a alternative/custom GermanStemmer for this filter.

### setExclusionSet

    public void setExclusionSet(Set exclusionSet)

  Set an alternative exclusion list for this filter.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.